On this page

# Get positions

This endpoint allows users to get current positions.

    GET /api/v1/positions

####
Query Parameters

Field
Type
Need
Description
Example

`"account"`

string

required

Connected wallet address

`42trU9A5...`

    /api/v1/positions?account=42trU9A5...

####
Response

- Status 200: Successfully retrieved account information

      [
        {
          "symbol": "BTC",
          "side": "bid",
          "amount": "0.25688000",
          "entry_price": "104004.521434",
          "margin": "12.452123",  // only shown for isolated margin
          "funding": "-8.242128",
          "isolated": true,
          "created_at": 1748789966341,
          "updated_at": 1748934004604
        }

Field
Type
Description

`"symbol"`

string

Trading pair symbol

`"side"`

string

Whether the position is long/short

`"entry_price"`

decimal string

Entry price of the position. Takes VWAP if position was opened by multiple trades executed at different prices.

`"margin"`

decimal string

Amount of margin allocated to an isolated position (only shown when isolated)

`"funding"`

decimal string

Funding paid by this position since open

`"isolated"`

boolean

If the position is opened in isolated margin mode

`"created_at"`

integer

Timestamp in milliseconds when these settings were adjusted from their default

`"updated_at"`

integer

Timestamp in milliseconds when these settings were last updated

- Status 400: Invalid request parameters

- Status 401: Unauthorized access

- Status 500: Internal server error

####
Code Example (Python)

    import requests

    response = requests.get(
        "/api/v1/positions?account=42trU9A5...",
        headers={"Accept": "*/*"},
    )

    data = response.json()

PreviousUpdate margin mode
NextGet trade history

Last updated 3 months ago